スライド
既存のノートからスライドデッキを生成します。以下のすべてのエンドポイントは API Key (X-API-Key または Authorization: Bearer ntx_...)に対応しています。
Base URL: https://api.notexapp.com
スライドを生成 — POST /v2/create/slide
ノートからスライドプレゼンテーションを生成します。task_id が返されますので、
結果は Tasks をポーリングして取得してください。
以下の認証にも対応しています: User JWT、Service Key。
Content-Type: application/x-www-form-urlencoded
| Field | Type | Required | Description |
|---|---|---|---|
note_id | string | required | スライドを生成するノートの ID |
template_id | string | required | スライドテンプレート ID |
language | string | optional | スライド内容の出力言語 |
slide_count_range | string | optional | 希望するスライド枚数の範囲(例: "5-10") |
community | boolean | optional | コミュニティノートから生成 |
curl -X POST https://api.notexapp.com/v2/create/slide \
-H "X-API-Key: ntx_live_..." \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "note_id=665f..." \
--data-urlencode "template_id=default" \
--data-urlencode "language=en"
Response (200) — task_id を返します。
{
"status": "PROCESSING",
"data": {
"task_id": "b3f1a2c4-...",
"user_id": "665f..."
}
}
タスクの結果を取得して、生成されたスライドの URL を取得します。
{
"status": "SUCCESS",
"data": {
"note_id": "665f...",
"slide_url": "https://cdn.notexapp.com/slides/...",
"slide_pdf_url": "https://cdn.notexapp.com/slides/....pdf"
}
}
Was this page helpful?